/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibz5orderdetailid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibz5orderdetailname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibz5ordername',
        prop: 'ibz5ordername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'ibz5uniproductname',
        prop: 'ibz5uniproductname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'unit',
        prop: 'unit',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'unitprice',
        prop: 'unitprice',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'quantity',
        prop: 'quantity',
        dataType: 'INT',
      },
      {
        name: 'amount',
        prop: 'amount',
        dataType: 'FLOAT',
      },
      {
        name: 'ibz5orderid',
        prop: 'ibz5orderid',
        dataType: 'PICKUP',
      },
      {
        name: 'ibz5orderdetailid',
        prop: 'ibz5orderdetailid',
        dataType: 'GUID',
      },
      {
        name: 'ibz5uniproductid',
        prop: 'ibz5uniproductid',
        dataType: 'PICKUP',
      },
      {
        name: 'ibz5orderdetail',
        prop: 'ibz5orderdetailid',
        dataType: 'FONTKEY',
      },
    ]
  }

}